VMTKSURFACETOBINARYIMAGE(1)

NAME
vmtksurfacetobinaryimage - vmtk script vmtksurfacetobinaryimage

DESCRIPTION
Automatic piping vmtksurfacetobinaryimage Parsing options vmtksurfacetobinaryimage

vmtksurfacetobinaryimage : Convert a surface to a binary image mask

    where voxels are labeled if they lie inside the surface or not.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-invalue InsideValue (int,1) >= 0 and <= 255; default=1: the value

    to label voxels which contain points inside the surface

-outvalue OutsideValue (int,1) >= 0 and <= 255; default=0: the

    value to label voxels which contain points inside the surface

-imagespacing PolyDataToImageDataSpacing (float,3) >= 0.0;

    default=[0.3, 0.3, 0.3]: the sample spacing for the polydata to image data conversion

-ofile ImageOutputFileName (str,1): filename for the default Image

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Image (vtkImageData,1): the binary surface image